set -e
echo "Building document"
make pdf
mkdir public
mv build/logic3.pdf public
mv build/logic3.log public
cd public/
if ! command -v tree &> /dev/null
then
  echo "No tree utility found, skipping making tree"
else
  tree -H '.' -I "index.html" -D --charset utf-8 -T "Logic 3: Abstract Topological Dynamics and Descriptive Set Theory" > index.html
fi
